RDKit::PDBWriter Class Reference

`#include <MolWriters.h>`

Inheritance diagram for RDKit::PDBWriter:

## Public Member Functions

| PDBWriter (const std::string &fileName, unsigned int flavor=0)
| PDBWriter (std::ostream *outStream, bool takeOwnership=false, unsigned int flavor=0)
| ~PDBWriter ()
void | write (const ROMol &mol, int confId=defaultConfId)
| write a new molecule to the file More...
void | setProps (const STR_VECT &)
void | flush ()
| flush the ostream More...
void | close ()
| close our stream (the writer cannot be used again) More...
unsigned int | numMols () const
| get the number of molecules written so far More...
Public Member Functions inherited from RDKit::MolWriter
virtual | ~MolWriter ()

## Detailed Description

The PDBWriter is for writing molecules to Brookhaven Protein DataBank format files.

Definition at line 277 of file MolWriters.h.

## Constructor & Destructor Documentation

## PDBWriter() [1/2]

RDKit::PDBWriter::PDBWriter | ( | const std::string & | fileName,
|  | unsigned int | flavor = `0`
| ) |  |

## PDBWriter() [2/2]

RDKit::PDBWriter::PDBWriter | ( | std::ostream * | outStream,
|  | bool | takeOwnership = `false`,
|  | unsigned int | flavor = `0`
| ) |  |

## ~PDBWriter()

RDKit::PDBWriter::~PDBWriter | ( |  | ) |

## Member Function Documentation

## close()

void RDKit::PDBWriter::close | ( |  | ) |

inline virtual

close our stream (the writer cannot be used again)

Implements RDKit::MolWriter.

Definition at line 304 of file MolWriters.h.

References RDKit::MolWriter::flush().

## flush()

void RDKit::PDBWriter::flush | ( |  | ) |

inline virtual

flush the ostream

Implements RDKit::MolWriter.

Definition at line 290 of file MolWriters.h.

References PRECONDITION.

## numMols()

unsigned int RDKit::PDBWriter::numMols | ( |  | ) | const

inline virtual

get the number of molecules written so far

Implements RDKit::MolWriter.

Definition at line 315 of file MolWriters.h.

## setProps()

void RDKit::PDBWriter::setProps | ( | const STR_VECT & |  | ) |

inline virtual

Implements RDKit::MolWriter.

Definition at line 287 of file MolWriters.h.

## write()

void RDKit::PDBWriter::write | ( | const ROMol & | mol,
|  | int | confId = `defaultConfId`
| ) |  |

virtual

write a new molecule to the file

Implements RDKit::MolWriter.

The documentation for this class was generated from the following file:

- MolWriters.h